=== debian/changelog ===
kio (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:53 +0000

kio (5.67.0-0ubuntu2) focal; urgency=medium

  * Refresh existing patches.
  * Add upstream patch requested by KDE devs.
    https://bugs.kde.org/418258
    - debian/patches: upstream_fix-opening-ssh-protocol.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Mar 2020 08:50:41 +0000

kio (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:39 +0000

kio (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:32 +0000

kio (5.65.0b-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:44 +0000

kio (5.64.0-0ubuntu1) focal; urgency=medium

  * Follow Debian disabling tests.
  * New build depend on qtdeclarative5-dev for Qt5Qml.
  * New upstream release (5.63.0)
  * Update symbols from build logs.
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:51 +0000

kio (5.62.1-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the disabled 'testsuite' autopkgtest, as it does not test the installed
      packages anyway
      + drop patches wait_for_a_bit_longer, no more needed now
  * Drop kubuntu_disable_failing_tests.diff

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Oct 2019 15:20:31 +0000

kio (5.62.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.1)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 16 Sep 2019 21:46:00 +0100

kio (5.62.0-0ubuntu1) eoan; urgency=medium

  * New build dep on qttools5-dev for Qt5UiPlugin
  * Update install files.
  * Install designer plugin in -dev package.
  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:07:15 +0100

kio (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:44 +0100

kio (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)
  * Refresh patches.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:16:27 +0100

kio (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:19:37 +0100

kio (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:40:37 +0100

kio (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:38:15 +0100
